### Method

# Gtk StringFilter set_expression

#### Declaration [src]

    void
    gtk_string_filter_set_expression (
      GtkStringFilter* self,
      GtkExpression* expression
    )

#### Description [src]

Sets the expression that the string filter uses to obtain strings from items.

The expression must have a value type of `G_TYPE_STRING`.

Sets property | `Gtk.StringFilter:expression`

#### Parameters

`expression` | `GtkExpression`
| A `GtkExpression`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.